Name:			mupdf
Version:		1.11
Release:		1%{?dist}
Summary:		A lightweight PDF, XPS, and E-book viewer

Group:			Applications/Publishing
License:		AGPLv3
URL:			https://mupdf.com/
Source0:		https://mupdf.com/downloads/%{name}-%{version}-source.tar.gz

BuildRequires:	curl-devel
BuildRequires:	freetype-devel
BuildRequires:	jbig2dec-devel
BuildRequires:	libjpeg-turbo-devel
BuildRequires:	openjpeg2-devel
BuildRequires:	turbojpeg-devel
BuildRequires:	zlib-devel
# Requires:		

%description
MuPDF consists of a software library, command line tools, and viewers for
various platforms.

The renderer in MuPDF is tailored for high quality anti-aliased graphics.
It renders text with metrics and spacing accurate to within fractions of a
pixel for the highest fidelity in reproducing the look of a printed page
on screen.

The viewer is small, fast, yet complete. It supports many document
formats, such as PDF, XPS, OpenXPS, CBZ, EPUB, and FictionBook 2. You can
annotate PDF documents and fill out forms with the mobile viewers (this
feature is coming soon to the desktop viewer as well).

The command line tools allow you to annotate, edit, and convert documents
to other formats such as HTML, SVG, PDF, and CBZ. You can also write
scripts to manipulate documents using Javascript.

The library is written modularly in portable C, so features can be added
and removed by integrators if they so desire. We also have a Java library
using JNI that works on both Oracle's Java and Android.


%package devel
Summary:		Development files for MuPDF

%description devel
MuPDF consists of a software library, command line tools, and viewers for
various platforms.

This package contains development files for building against MuPDF.


%prep
%setup -qn %{name}-%{version}-source


%build
# %%configure
# export HAVE_X11=no
# export HAVE_GLFW=no
make HAVE_X11=no HAVE_GLFW=no prefix=%{_prefix} libdir=%{_libdir} %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
# export HAVE_X11=no
# export HAVE_GLFW=no
make HAVE_X11=no HAVE_GLFW=no prefix=%{_prefix} libdir=%{_libdir} install DESTDIR=$RPM_BUILD_ROOT
%{__mv} $RPM_BUILD_ROOT/%{_docdir}/%{name} $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
# %%doc CHANGES COPYING README
%doc %{_docdir}/%{name}-%{version}
%doc %{_mandir}/man?/*
%{_bindir}/mu*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/lib%{name}*


%changelog
* Tue Aug  1 2017 J. Randall Owens <jrowens@ghiapet.net> - 1.11-1
- First useable package release
- should still clean up build process, bundled libs

* Tue Aug  1 2017  <jrowens@ghiapet.net> - 1.11-0.1
- Initial package creation

